Subject: Re: [PATCH 0/3] "commit --template" fixes

From: Adam Monsen <[email-masked]>
Date: Tue, 03 Apr 2012 10:11:17 -0700

On 04/01/2012 03:28 PM, Junio C Hamano wrote:
> One established way to do this is to have a discussion like the above
> (mostly elided), followed by a "scissors" line...

I can do that. Thanks!

> When rewording or clarifying only a handful of words in the documentation,
> it is often better to avoid reflowing lines in the same patch.

I thought of that, but it made the right margin jagged. :)
My new suggestion (below) isolates the changes a bit better.

> This is a tangent, but we might want to rephrase the first sentence
> without using the word "version"; every time I read this paragraph, the
> "initial version" makes me go "Huh?" because the word sounds as if it is
> talking about commits in the context of SCM, which is not the case here.

Yeah, that bugs me too.

How about this? I'm a little bummed it doesn't include why
commit --template exists at all, but it reads well: terse and to the
point like (IMHO) a manpage should.

-- >8 --
Subject: [PATCH v4] git-commit.txt: clarify -t requires editing message

Make it clear that, when using commit --template, the message *must* be
changed or the commit will be aborted.

Also, remove the words "initial version" to avoid confusion. Commit
messages are not versioned independently of commits.

Helped-by: Junio C Hamano <[email-masked]>
Helped-by: Ivan Heffner <[email-masked]>
Signed-off-by: Adam Monsen <[email-masked]>
Signed-off-by: Junio C Hamano <[email-masked]>
---
Replaces b0ad5e27803cd of jc/commit-unedited-template. I'm assuming that's ok
since the branch isn't merged into maint or master.

 Documentation/git-commit.txt |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Documentation/git-commit.txt b/Documentation/git-commit.txt
index 5cc84a1..bd82431 100644
--- a/Documentation/git-commit.txt
+++ b/Documentation/git-commit.txt
@@ -132,9 +132,9 @@ OPTIONS
 
 -t <file>::
 --template=<file>::
-	Use the contents of the given file as the initial version
-	of the commit message. The editor is invoked and you can
-	make subsequent changes. If a message is specified using
+	Use the contents of the given file as the commit message. The
+	editor is invoked so you can make subsequent changes. If you make no
+	changes, the commit is aborted. If a message is specified using
 	the `-m` or `-F` options, this option has no effect. This
 	overrides the `commit.template` configuration variable.
 
-- 
1.7.5.4